Subject: [Tools-discuss] Bug in id-nits if a draft has an "Updates" header that lists a draft

From: Paul Hoffman <[email-masked]>
Date: Fri, 29 Apr 2011 15:47:47 -0700

Greetings again. I just tried to turn in a draft for draft-ietf-genarea-milestones-tool that updates draft-ietf-genarea-charter-tool-09 (a draft that is in the RFC Editor's queue". My XML input used:
<rfc ipr="trust200902"
	docName="draft-ietf-genarea-milestones-tool-00"
	category="info"
	updates="draft-ietf-genarea-charter-tool-09"

id-nits would not accept that, I assume because it was looking for the first string in the document that looked like an Internet-Draft name. I was able to submit by removing the "updates" header, but I strongly suspect that people will bug me about the fact that the draft internally says that it updates this RFC-to-be but that is not listed in the front page header.

--Paul Hoffman